// 计费账单
<template>
  <div class="steel_inbound">
    <div class="sache">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
       <el-button type="primary" class="btn" @click="toInsert">
        <i class="el-icon-plus"></i>新增
      </el-button>
    </div>
    <div class="table">
      <dilTable v-bind.sync="options">
        <el-table-column fixed="right" label="操作" width="100">
          <template slot-scope="scope">
            <el-button
              type="text"
              size="small"
              @click="selectBmstruckOrder(scope)"
            >
              查看
            </el-button>
            <el-button
              type="text"
              size="small"
              @click="updateBmstruckCheck(scope)"
            >
              稽核
            </el-button>
          </template>
        </el-table-column>
      </dilTable>
    </div>
  </div>
</template>

<script>
export default {
  data(){
    return{
      input:"",
      options:{
        // first请求数据的地址
        requestUrl: "/api/v1/bms/getTruckStatementList?apiId=179",
      },
    }
  },
  methods:{
     toInsert() {
      this.$router.push("/addBmsTruckStatement");
    },
    selectBmstruckOrder(scope){
      this.$router.push("/getBmsTruckStatementOrder/"+scope.row.statementId)
    },
    updateBmstruckCheck(scope){
      this.$router.push("/bmsTruckAudit/"+scope.row.statementId)
    },
    onclick(){
      console.log("查询待定值")
      // this.options.requestUrl = "/api/v1/bms/getTruckStatementList?apiId=179&con="+this.input;
    }
  }
}
</script>

<style lang="scss" scode>
.steel_inbound{
  .sache{
    padding: 1.25rem 0.375rem;
			.el-input {
			width: 20%;
			margin-right: 1.25rem;
			}
  }
}
</style>